summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-07-20 07:56:24 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-07-20 09:04:25 +0000
commit60db991ac6b6e3404d076c0c50208462fd024ba6 (patch)
tree81c3929fa56ecfdda20b81c0a30488a03f3a81ff
parent7b4925acaa64ef9556529e33478fa8ec938bbe6a (diff)
round-robin-bisect.sh: Move handling of one of the edge case here
... so that we do not need to initialize baseline remote in normal builds. Change-Id: Ifd91af394b5e1c2db59cede4c5b03e0328520ea2
-rwxr-xr-xround-robin-bisect.sh7
-rw-r--r--round-robin.sh10
2 files changed, 8 insertions, 9 deletions
diff --git a/round-robin-bisect.sh b/round-robin-bisect.sh
index f08e9a77..6a8dc817 100755
--- a/round-robin-bisect.sh
+++ b/round-robin-bisect.sh
@@ -220,6 +220,13 @@ cat <<EOF | manifest_out
declare -g bad_rev=$bad_rev
EOF
+if [ x"$baseline_rev" = x"$bad_rev" ]; then
+ echo "WARNING: Detected regression with no change in sources of $current_project"
+ sed -i -e "s/\$/-no_change/" $artifacts/jenkins/build-name
+ trap "" EXIT
+ exit 1
+fi
+
# Confirm regression in $bad_rev vs $baseline_rev.
git checkout --detach $bad_rev
$artifacts/test.sh &
diff --git a/round-robin.sh b/round-robin.sh
index 55664c18..5faa1d03 100644
--- a/round-robin.sh
+++ b/round-robin.sh
@@ -652,17 +652,9 @@ No reason to rebase base-artifacts."
done < <(${rr[breakup_updated_components]})
elif ! [ $score -lt 0 ] 2>/dev/null; then
# Bisect failures in all steps after "-1" step.
- local baseline_rev cur_rev
- baseline_rev=$(git_rev_parse_long $single_component ${rr[baseline_branch]} baseline) &
- # Baseline branch may not exist, so don't fail if it's not found.
- wait $! || baseline_rev=""
+ local cur_rev
cur_rev=$(git -C $single_component rev-parse HEAD)
- if [ x"$baseline_rev" = x"$cur_rev" ]; then
- echo "WARNING: Detected regression with no change in sources of $single_component"
- false
- fi
-
cat > $trigger_dest/trigger-bisect <<EOF
current_project=$single_component
bad_url=${rr[${single_component}_url]}